=== debian/control ===
Source: resolvconf-admin
Section: net
Priority: optional
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends:
 pandoc,
 debhelper (>= 10~),
Standards-Version: 4.1.1
Homepage: https://github.com/dkg/resolvconf-admin
Vcs-Git: https://anonscm.debian.org/git/collab-maint/resolvconf-admin -b debian
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/resolvconf-admin

Package: resolvconf-admin
Architecture: any
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 resolvconf,
Enhances:
 resolvconf,
Description: setuid helper program for setting up the local DNS
 resolvconf-admin deals with setting the local DNS information, which
 needs to be done by root on some systems. For example, it should
 enable a non-privileged DHCP client to add information about DNS
 resolvers it discovers.
 .
 If /sbin/resolvconf is present, it is invoked as root with the
 recommended data. If it is not present, then /etc/resolv.conf is
 overwritten with a simple file.
 .
 Note: setuid binaries like resolvconf-admin are additional attack
 surface on your system.  If you can use a different approach, such as
 enabling systemd-resolved, you should probably prefer it.
 .
 DO NOT INSTALL THIS PACKAGE (or any other with a setuid binary) IF
 YOU DO NOT NEED IT!
