=== debian/tests/control ===
Tests: simple-with-resolvconf
Depends: @, resolvconf, build-essential
Restrictions: needs-root

Tests: simple-no-resolvconf
Depends: @, build-essential
Restrictions: needs-root
